Summary:	GNOME HTTP client library
Summary(es.UTF-8):	Biblioteca cliente HTTP del GNOME
Summary(ko.UTF-8):	GNOME HTTP 클라이언트 라이브러리
Summary(pl.UTF-8):	Biblioteka funkcji klienta HTTP
Summary(pt_BR.UTF-8):	Biblioteca cliente para HTTP do GNOME
Summary(ru.UTF-8):	Библиотека HTTP-клиента для GNOME
Summary(uk.UTF-8):	Бібліотека HTTP-клієнта для GNOME
Name:		libghttp
Version:	1.0.9
Release:	14
Epoch:		1
License:	LGPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/libghttp/1.0/%{name}-%{version}.tar.gz
# Source0-md5:	0690e7456f9a15c635f240f3d6d5dab2
Patch0:		%{name}-ac.patch
Patch1:		%{name}-fixlocale.patch
Patch2:		%{name}-ssl.patch
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library for making HTTP 1.1 requests.

%description -l es.UTF-8
Biblioteca cliente HTTP 1.1 del GNOME.

%description -l pl.UTF-8
Biblioteka funkcji umożliwiających realizację zapytań HTTP 1.1.

%description -l pt_BR.UTF-8
Biblioteca cliente para HTTP 1.1 do GNOME.

%description -l ru.UTF-8
Библиотека для исполнения HTTP 1.1 запросов.

%description -l uk.UTF-8
Бібліотека для виконання HTTP 1.1 запитів.

%package devel
Summary:	GNOME HTTP client development
Summary(es.UTF-8):	Biblioteca cliente HTTP 1.1 del GNOME - desarrollo
Summary(ko.UTF-8):	GNOME HTTP 클라이언트 개발에 필요한 라이브러리와 헤더 파일
Summary(pl.UTF-8):	Biblioteki i pliki nagłówkowe libghttp
Summary(pt_BR.UTF-8):	Componentes para desenvolvimento com o cliente HTTP do GNOME.
Summary(ru.UTF-8):	Разработка HTTP-клиентов под GNOME
Summary(uk.UTF-8):	Розробка HTTP-клієнтів під GNOME
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Libraries and includes files you can use for libghttp development.

%description devel -l es.UTF-8
Biblioteca cliente HTTP 1.1 del GNOME - desarrollo.

%description devel -l pl.UTF-8
Biblioteki i pliki nagłówkowe potrzebne do programowania z
wykorzystaniem libghttp.

%description devel -l pt_BR.UTF-8
Componentes para desenvolvimento com o cliente HTTP do GNOME.

%description devel -l ru.UTF-8
Хедеры для разработки программ с использованием libghttp.

%description devel -l uk.UTF-8
Хедери для розробки програм з використанням libghttp.

%package static
Summary:	GNOME HTTP client static library
Summary(pl.UTF-8):	Statyczna biblioteka libghttp
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com libghttp
Summary(ru.UTF-8):	Разработка HTTP-клиентов под GNOME - статические библиотеки
Summary(uk.UTF-8):	Розробка HTTP-клієнтів під GNOME - статичні бібліотеки
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	openssl-devel

%description static
GNOME HTTP client static library.

%description static -l pl.UTF-8
Wersja statyczna biblioteki libghttp.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com libghttp.

%description static -l ru.UTF-8
Статические библиотеки для разработки программ с использованием
libghttp.

%description static -l uk.UTF-8
Статичні бібліотеки для розробки програм з використанням libghttp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-ssl
%{__make} \
	libghttp_la_LIBADD="-lssl -lcrypto"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/ghttp-1.0

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install http_*.h $RPM_BUILD_ROOT%{_includedir}/ghttp-1.0

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libghttp.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ghttpConf.sh
%attr(755,root,root) %{_libdir}/libghttp.so
%{_libdir}/libghttp.la
%{_includedir}/ghttp*.h
%{_includedir}/ghttp-1.0

%files static
%defattr(644,root,root,755)
%{_libdir}/libghttp.a
%changelog
* Tue Oct 21 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libghttp.git;a=log;h=master

* Tue Oct 21 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 10daeeb
- rel 14; use SSLv23_client_method instead of old SSLv2_client_method method

* Mon Oct 20 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a0b5e6
- release 13 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> c0de512
- dropped pre-cvs changelog

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e38074d
- release 12

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b7a3c88
- release 11

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 79fe140
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fa637b0
- converted to UTF-8

* Tue Mar 29 2005 Jakub Bogusz <qboosh@pld-linux.org> 05d7fc7
- added ssl patch (SSL support from CVS), spec updates, release 10

* Tue Mar 29 2005 Jakub Bogusz <qboosh@pld-linux.org> 0db051c
- SSL support from CVS (made in 2001, never released)

* Fri Oct 29 2004 paladine <paladine@pld-linux.org> 079b0a0
- "HTTP" and "HTTPS" unification

* Sat Sep 25 2004 radek <radek@pld-linux.org> 1b4a517
- cosmetics (spaces -> tabs)

* Thu Apr 29 2004 adgor <adgor@pld-linux.org> 4f07ea3
- Strict internal deps

* Mon Apr 26 2004 Adam Gołębiowski <adamg@pld-linux.org> 302104f
- release 9 for Ac (8 is for Ra)

* Sun Jun 29 2003 adgor <adgor@pld-linux.org> 8b6a36d
- Lost patch from old repo:
----------------------------
revision 1.1
date: 2003/05/24 09:50:37;  author: kloczek;  state: Exp;
- fix HTTP numbering (due to use of locale in sprintf) (patch from cvs).

* Tue Jun 24 2003 Jakub Bogusz <qboosh@pld-linux.org> 2487208
- merged lost changes:
  Revision 1.48  2003/05/24 11:33:35  qboosh
  - removed bogus es "translations"

* Mon Jun 23 2003 Jarosław Kruk <jareq@pld-linux.org> cc7e8d1
- fixed epoch:version issue

* Sun May 25 2003 Michal Moskal <michal@moskal.me> 328684b
- massive attack, adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 320be81
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Jan 20 2003 trojan <trojan@pld-linux.org> 275ecc7
- added patch for proper ac regeneration

* Mon Jan 20 2003 trojan <trojan@pld-linux.org> 0949b71
- added

